%define name gengetopt
%define version 2.13
%define release 1mdk

Summary: GNU gengetopt generates command line parsers
Name: %{name}
Version: %{version}
Release: %{release}
Source0: ftp://ftp.gnu.org/gnu/gengetopt/%{name}-%{version}.tar.bz2
License: GPL
Group: Development/C
URL: http://www.gnu.org/software/gengetopt/gengetopt.html
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: flex

%description
This program generates a C function that uses getopt_long function to parse
the command line options, to validate them and fills a struct.

Thus your program can now handle options such as:

myprog --input foo.c -o foo.o --no-tabs -i 100 *.class

And both long options (those that start with --) and short options (start
with - and consist of only one character) can be handled. For standards
about short and long options you may want to take a look at the GNU Coding
Standards.

%prep
%setup -q
perl -pi -e "s!@prefix@/share/doc/gengetopt!@prefix@/share/doc/gengetopt-%{version}!" doc/gengetopt.1.in

%build
%configure2_5x
#gw parallel build is broken
make

%install
rm -rf $RPM_BUILD_ROOT installed-docs
%makeinstall_std
mv %buildroot/%_datadir/doc/gengetopt installed-docs

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %name.info

%postun
%_remove_install_info %name.info


%files
%defattr(-,root,root)
%doc installed-docs/*
%_bindir/gengetopt
%_datadir/gengetopt/
%_mandir/man1/gengetopt.1*
%_infodir/gengetopt.info*


%changelog
* Tue Dec 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.13-1mdk
- fix doc file listing
- New release 2.13

* Mon Aug 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.12.2-1mdk
- new version

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.12.1-2mdk
- rebuild for new g++

* Wed Apr 21 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.12.1-1mdk
- fix source URL
- new version

* Fri Oct  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.11-1mdk
- drop prefix
- new version

* Fri May 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.10-1mdk
- new version

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.9-2mdk
- use the right configure macro
- fix distriblint warning

* Mon Apr 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.9-1mdk
- new version

* Thu Apr  3 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.8.1-1mdk
- disable parallel build
- new version

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.7.1-5mdk
- fix buildrequires

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.7.1-4mdk
- fix installation, clean unpackaged files

* Fri Aug 16 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.7.1-3mdk
- gcc 3.2-0.3mdk build

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.7.1-2mdk
- gcc 3.2 build

* Tue Jul 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.7.1-1mdk
- 2.7.1

* Fri Jan  4 2002 Gtz Waschk <waschk@linux-mandrake.com> 2.5-1mdk
- patched doc path in the man page
- initial RPM package
